View Issue Details

IDProjectCategoryView StatusLast Update
0013022LazarusWidgetsetpublic2014-09-20 00:15
ReporterPaul van HeldenAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0013022: TSpeedButton has black background in WinCE
DescriptionWhen SpeedButton.Down:=True, black background is painted first by, making for ugly speedbutton. Only on WinCE.
Tagswince
Fixed in Revision25558
LazTarget-
WidgetsetWinCE
Attached Files

Relationships

has duplicate 0013483 closedFelipe Monteiro de Carvalho Lazarus TSpeedButton Down 
related to 0019110 resolvedFelipe Monteiro de Carvalho Lazarus [WinCE] TToolButton/TSpeedButton has a black background 
related to 0026748 closedFelipe Monteiro de Carvalho Patches [Patch] Improved CreateBrushIndirect workaround 

Activities

Felipe Monteiro de Carvalho

2010-05-21 06:51

developer   ~0037836

Funny enough, that's the native look.

Felipe Monteiro de Carvalho

2010-05-21 07:15

developer   ~0037837

Fixed. Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-01-22 10:04 Paul van Helden New Issue
2009-01-22 10:04 Paul van Helden Widgetset => WinCE
2009-01-22 10:08 Vincent Snijders LazTarget => -
2009-01-22 10:08 Vincent Snijders Assigned To => Felipe Monteiro de Carvalho
2009-01-22 10:08 Vincent Snijders Status new => acknowledged
2009-01-22 10:08 Vincent Snijders Status acknowledged => assigned
2009-10-20 17:03 Felipe Monteiro de Carvalho Tag Attached: wince
2010-05-21 06:51 Felipe Monteiro de Carvalho Note Added: 0037836
2010-05-21 07:15 Felipe Monteiro de Carvalho Fixed in Revision => 25558
2010-05-21 07:15 Felipe Monteiro de Carvalho Status assigned => resolved
2010-05-21 07:15 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2010-05-21 07:15 Felipe Monteiro de Carvalho Resolution open => fixed
2010-05-21 07:15 Felipe Monteiro de Carvalho Note Added: 0037837
2010-05-28 15:18 Felipe Monteiro de Carvalho Relationship added has duplicate 0013483
2011-07-28 14:42 Felipe Monteiro de Carvalho Relationship added related to 0019110
2011-12-01 11:23 Marc Weustink Status resolved => closed
2014-09-20 00:15 Juha Manninen Relationship added related to 0026748